Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nanocontainer.aop.defaults
Class AspectsComponentAdapter

    java.lang.Object
      org.picocontainer.defaults.DecoratingComponentAdapter
          org.nanocontainer.aop.defaults.AspectsComponentAdapter

All Implemented Interfaces:
  Serializable, org.picocontainer.ComponentAdapter, org.picocontainer.defaults.ComponentMonitorStrategy, org.picocontainer.defaults.LifecycleStrategy, org.picocontainer.LifecycleManager

    public class AspectsComponentAdapter

extends org.picocontainer.defaults.DecoratingComponentAdapter

Author:
  Stephen Molitor
See Also:
  Serialized Form

Constructor Summary
`AspectsComponentAdapter(AspectsApplicator aspectsApplicator, org.picocontainer.ComponentAdapter delegate)`

Method Summary
`Object` | `getComponentInstance(org.picocontainer.PicoContainer pico)`

Methods inherited from class org.picocontainer.defaults.DecoratingComponentAdapter
`accept, changeMonitor, currentMonitor, dispose, dispose, getComponentImplementation, getComponentKey, getDelegate, hasLifecycle, hasLifecycle, start, start, stop, stop, toString, verify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AspectsComponentAdapter

    public AspectsComponentAdapter(AspectsApplicator aspectsApplicator,
                                   org.picocontainer.ComponentAdapter delegate)

Method Detail

### getComponentInstance

    public Object getComponentInstance(org.picocontainer.PicoContainer pico)
                                throws org.picocontainer.PicoInitializationException,
                                       org.picocontainer.PicoIntrospectionException,
                                       org.picocontainer.defaults.AssignabilityRegistrationException,
                                       org.picocontainer.defaults.NotConcreteRegistrationException

  Specified by:
    `getComponentInstance` in interface `org.picocontainer.ComponentAdapter`
  Overrides:
    `getComponentInstance` in class `org.picocontainer.defaults.DecoratingComponentAdapter`
  Throws:
    `org.picocontainer.PicoInitializationException`
    `org.picocontainer.PicoIntrospectionException`
    `org.picocontainer.defaults.AssignabilityRegistrationException`
    `org.picocontainer.defaults.NotConcreteRegistrationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Codehaus. All Rights Reserved.